> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# formfields

> List of customizable fields for forms

## "formfields" MDO List

List of customizable fields for forms

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FormFieldsProvider">FormFieldsProvider</see> class.
The name of the MDO list is 'formfields'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/formfields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("formfields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                              | StyleHint | ExtraInfo                                                                                     |
| -- | --------------------------------- | --------- | --------------------------------------------------------------------------------------------- |
| 21 | Company -  Business               |           |                                                                                               |
| 61 | Company -  companycheckbox        |           | fieldType=company\_SuperOffice:6                                                              |
| 59 | Company -  companydate            |           | fieldType=company\_SuperOffice:4                                                              |
| 63 | Company -  companydecimal         |           | fieldType=company\_SuperOffice:8                                                              |
| 62 | Company -  companydropdownlistbox |           | fieldType=company\_SuperOffice:7\&listName=task                                               |
| 57 | Company -  companylongtext        |           | textLength=40\&fieldType=company\_SuperOffice:2                                               |
| 58 | Company -  companynumber          |           | fieldType=company\_SuperOffice:3                                                              |
| 56 | Company -  companyshorttext       |           | textLength=20\&fieldType=company\_SuperOffice:1                                               |
| 60 | Company -  companyunlimiteddate   |           | fieldType=company\_SuperOffice:5                                                              |
| 53 | Company -  Extra boolean          |           | fieldType=company\_x\_contact\_boolean                                                        |
| 51 | Company -  Extra date             |           | fieldType=company\_x\_contact\_date                                                           |
| 52 | Company -  Extra DateTime         |           | fieldType=company\_x\_contact\_datetime                                                       |
| 47 | Company -  Extra Default Integer  |           | fieldType=company\_x\_contact\_default\_integer                                               |
| 48 | Company -  Extra Float            |           | fieldType=company\_x\_contact\_float                                                          |
| 46 | Company -  Extra Integer          |           | fieldType=company\_x\_contact\_integer                                                        |
| 50 | Company -  Extra Long Dropdown    |           | fieldType=company\_x\_contact\_dropdown\&listName=company\_x\_contact\_dropdown               |
| 49 | Company -  Extra LongText         |           | fieldType=company\_x\_contact\_longtext                                                       |
| 55 | Company -  Extra short dropdown   |           | fieldType=company\_x\_contact\_short\_dropdown\&listName=company\_x\_contact\_short\_dropdown |
| 54 | Company -  Extra short text       |           | fieldType=company\_x\_contact\_shorttext                                                      |
| 66 | Company -  page1adminonly         |           | textLength=20\&fieldType=company\_SuperOffice:11                                              |
| 65 | Company -  page1marketingonly     |           | textLength=20\&fieldType=company\_SuperOffice:10                                              |

## Related MDO Lists

* "formfieldsheadings"
* "formfieldsheadingswithallitem"
* "formfieldsheadingswithallitemwithnoselection"
* "formfieldsheadingswithnoselection"
* "formfieldswithallitem"
* "formfieldswithallitemwithnoselection"
* "formfieldswithnoselection"


## Related topics

- [Enum values for FormFieldRestrictionType](/en/database/tables/enums/formfieldrestrictiontype.md)
- [SuperOffice.WebApi.Data.FormFieldRestriction](/en/api/reference/webapi/SuperOffice.WebApi.Data.FormFieldRestriction.md)
- [SuperOffice.WebApi.Data.FormFieldRestrictionType](/en/api/reference/webapi/SuperOffice.WebApi.Data.FormFieldRestrictionType.md)
- [SuperOffice.WebApi.Agents.IMarketingAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IMarketingAgent.md)
- [SuperOffice.WebApi.Agents.MarketingAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.MarketingAgent.md)
- [form_field_restriction table](/en/database/tables/form-field-restriction.md)
